@import url('https://fonts.googleapis.com/css?family=Poppins');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins';
}

.hfdSection {
  position: relative;
  min-height: 100vh;
  background: #9cb3ff;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.hfdSection .hfdContainer {
  position: relative;
  width: 900px;
  height: 550px;
  background: #fff;
  box-shadow: 0 15px 50px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}

.hfdSection .hfdContainer .user {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
}

.hfdSection .hfdContainer .user .box-image {
  position: relative;
  width: 50%;
  height: 100%;
  background-color: #8EC5FC;
  background-image: linear-gradient(62deg, #8EC5FC 0%, #E0C3FC 100%);
  justify-content: center;
  align-items: center;
  display: flex;
  z-index: 1;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.hfdSection .hfdContainer .box-signin .box-image .clock {
  width: 350px;
  height: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff url('/assets/img/clock.png');
  background-size: cover;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  border: 20px solid #fff;
  box-shadow: inset 0 0 30px rgba(0, 0, 0, .1),
    0 20px 20px rgba(0, 0, 0, .2),
    0 0 0 4px rgba(255, 255, 255, 1);
}

.hfdSection .hfdContainer .box-signin .box-image .clock::before {
  content: '';
  position: absolute;
  width: 15px;
  height: 15px;
  background: #848484;
  border: 2px solid #fff;
  z-index: 100000;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
}

.hfdSection .hfdContainer .box-signin .box-image .clock .hour,
.hfdSection .hfdContainer .box-signin .box-image .clock .min,
.hfdSection .hfdContainer .box-signin .box-image .clock .sec {
  position: absolute;
}

.hfdSection .hfdContainer .box-signin .box-image .clock .hour,
.hfdSection .hfdContainer .box-signin .box-image .clock .hour .hr {
  width: 160px;
  height: 160px;
}

.hfdSection .hfdContainer .box-signin .box-image .clock .min,
.hfdSection .hfdContainer .box-signin .box-image .clock .min .mn {
  width: 190px;
  height: 190px;
}

.hfdSection .hfdContainer .box-signin .box-image .clock .sec,
.hfdSection .hfdContainer .box-signin .box-image .clock .sec .sc {
  width: 230px;
  height: 230px;
}

.hr,
.mn,
.sc {
  display: flex;
  justify-content: center;
  position: absolute;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
}

.hr::before {
  content: '';
  position: absolute;
  width: 8px;
  height: 80px;
  z-index: 10;
  background: #848484;
  border-radius: 6px 6px 0 0;
  -webkit-border-radius: 6px 6px 0 0;
  -moz-border-radius: 6px 6px 0 0;
  -ms-border-radius: 6px 6px 0 0;
  -o-border-radius: 6px 6px 0 0;
}

.mn::before {
  content: '';
  position: absolute;
  width: 4px;
  height: 90px;
  z-index: 11;
  background: #d6d6d6;
  border-radius: 6px 6px 0 0;
  -webkit-border-radius: 6px 6px 0 0;
  -moz-border-radius: 6px 6px 0 0;
  -ms-border-radius: 6px 6px 0 0;
  -o-border-radius: 6px 6px 0 0;
}

.sc::before {
  content: '';
  position: absolute;
  width: 2px;
  height: 150px;
  z-index: 12;
  background: #ff6767;
  border-radius: 6px 6px 0 0;
  -webkit-border-radius: 6px 6px 0 0;
  -moz-border-radius: 6px 6px 0 0;
  -ms-border-radius: 6px 6px 0 0;
  -o-border-radius: 6px 6px 0 0;
}

.hfdSection .hfdContainer .user .box-image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hfdSection .hfdContainer .user .box-image video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: blur(1px);
  -webkit-filter: blur(1px);
}

.hfdSection .hfdContainer .user .box-image .box-cube {
  position: absolute;
  top: calc(50% - 100px);
  left: calc(50% - 100px);
  width: 200px;
  height: 200px;
  transform-style: preserve-3d;
}

.hfdSection .hfdContainer .user .box-image .box-cube div {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform-style: preserve-3d;
  transform: rotateX(-20deg)rotateY(25deg)translate3d(-75px, -50px, 150px);
  -webkit-transform: rotateX(-20deg)rotateY(25deg)translate3d(-75px, -50px, 150px);
  -moz-transform: rotateX(-20deg)rotateY(25deg)translate3d(-75px, -50px, 150px);
  -ms-transform: rotateX(-20deg)rotateY(25deg)translate3d(-75px, -50px, 150px);
  -o-transform: rotateX(-20deg)rotateY(25deg)translate3d(-75px, -50px, 150px);
}

.hfdSection .hfdContainer .user .box-image .box-cube div span {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  height: 100%;
  border: none;
  background: #ccc;
}

.hfdSection .hfdContainer .user .box-image .box-cube div span video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: blur(0px);
  -webkit-filter: blur(0px);
}

.hfdSection .hfdContainer .user .box-image .box-cube div span:nth-child(1) {
  transform: rotateX(0deg) translate3d(0, 0, 100px);
  -webkit-transform: rotateX(0deg) translate3d(0, 0, 100px);
  -moz-transform: rotateX(0deg) translate3d(0, 0, 100px);
  -ms-transform: rotateX(0deg) translate3d(0, 0, 100px);
  -o-transform: rotateX(0deg) translate3d(0, 0, 100px);
}

.hfdSection .hfdContainer .user .box-image .box-cube div span:nth-child(2) {
  transform: rotateY(90deg) translate3d(0, 0, -100px);
  -webkit-transform: rotateY(90deg) translate3d(0, 0, -100px);
  -moz-transform: rotateY(90deg) translate3d(0, 0, -100px);
  -ms-transform: rotateY(90deg) translate3d(0, 0, -100px);
  -o-transform: rotateY(90deg) translate3d(0, 0, -100px);
}

.hfdSection .hfdContainer .user .box-image .box-cube div span:nth-child(2) video {
  transform: rotateY(180deg);
  -webkit-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
  -ms-transform: rotateY(180deg);
  -o-transform: rotateY(180deg);
}

.hfdSection .hfdContainer .user .box-image .box-cube div span:nth-child(3) {
  transform: rotateX(90deg) translate3d(0, 0, 100px);
  -webkit-transform: rotateX(90deg) translate3d(0, 0, 100px);
  -moz-transform: rotateX(90deg) translate3d(0, 0, 100px);
  -ms-transform: rotateX(90deg) translate3d(0, 0, 100px);
  -o-transform: rotateX(90deg) translate3d(0, 0, 100px);
}

.hfdSection .hfdContainer .user .box-form {
  position: relative;
  width: 50%;
  height: 100%;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 40px;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}

.hfdSection .hfdContainer .user .box-form form {
  width: 100%;
}

.hfdSection .hfdContainer .user .box-form form h4 {
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 4px;
  text-align: center;
  width: 100%;
  margin-bottom: 20px;
  color: #555;
}

/* .hfdSection .hfdContainer .user .box-form form input {
  position: relative;
  width: 100%;
  padding: 10px;
  background: #f5f5f5;
  color: #333;
  border: none;
  outline: none;
  box-shadow: none;
  margin: 8px 0;
  font-size: 14px;
  letter-spacing: 1px;
  font-weight: 300;
} */

/* .hfdSection .hfdContainer .user .box-form form input[type="submit"] {
  max-width: 30%;
  background: #677eff;
  color: #fff;
  cursor: pointer;
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 1px;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
} */

.hfdSection .hfdContainer .user .box-form form .signup {
  position: relative;
  margin-top: 20px;
  font-size: 12px;
  letter-spacing: 1px;
  color: #555;
  text-transform: uppercase;
  font-weight: 300;
}

.hfdSection .hfdContainer .user .box-form form .signup a {
  font-weight: 600;
  text-decoration: none;
  color: #677eff;
}

.hfdSection .hfdContainer .box-signup {
  pointer-events: none;
}

.hfdSection .hfdContainer.active .box-signup {
  pointer-events: initial;
}

.hfdSection .hfdContainer .box-signup .box-form {
  left: 100%;
}

.hfdSection .hfdContainer.active .box-signup .box-form {
  left: 0;
}

.hfdSection .hfdContainer .box-signup .box-image {
  left: -100%;
}

.hfdSection .hfdContainer.active .box-signup .box-image {
  left: 0;
}


.hfdSection .hfdContainer .box-signin .box-form {
  left: 0;
}

.hfdSection .hfdContainer.active .box-signin .box-form {
  left: 100%;
}

.hfdSection .hfdContainer .box-signin .box-image {
  left: 0;
}

.hfdSection .hfdContainer.active .box-signin .box-image {
  left: -100%;
}

@media (max-width: 991px) {
  .hfdSection .hfdContainer {
    max-width: 95%;
  }

  .hfdSection .hfdContainer .box-image {
    display: none;
  }

  .hfdSection .hfdContainer .user .box-image {
    display: none;
  }

  .hfdSection .hfdContainer .user .box-form {
    width: 100%;
  }

  /* materialize css customize */
  /* Inactive/Active Default input field color */
  .input-field input[type]:not([readonly]),
  .input-field input[type]:focus:not([readonly]),
  .input-field textarea:not([readonly]),
  .input-field textarea:focus:not([readonly]) {
    border-bottom: 1px solid #01579b;
    box-shadow: 0 1px 0 0 #01579b;
  }

  /* Inactive/Active Default input label color */
  .input-field input[type]:focus:not([readonly])+label,
  .input-field textarea:focus:not([readonly])+label {
    color: #01579b;
  }

  /* Active/Inactive Invalid input field colors */
  .input-field input[type]:not([readonly]),
  .input-field input[type]:focus:not([readonly]),
  .input-field textarea:not([readonly]),
  .input-field textarea:focus:not([readonly]) {
    border-bottom: 1px solid #01579b;
    box-shadow: 0 1px 0 0 #01579b;
  }

  .input-field input[type]:focus:not([readonly])+label,
  .input-field textarea:focus:not([readonly])+label {
    color: #01579b;
  }

  .input-field input[type].invalid,
  .input-field input[type].invalid:focus,
  .input-field textarea.invalid,
  .input-field textarea.invalid:focus {
    border-bottom: 1px solid #e57373;
    box-shadow: 0 1px 0 0 #e57373;
  }

  .input-field input[type].invalid:focus+label,
  .input-field input[type].invalid~.helper-text::after,
  .input-field input[type].invalid:focus~.helper-text::after,
  .input-field textarea.invalid:focus+label,
  .input-field textarea.invalid~.helper-text::after,
  .input-field textarea.invalid:focus~.helper-text::after {
    color: #e57373;
  }

  .input-field input[type].valid,
  .input-field input[type].valid:focus,
  .input-field textarea.valid,
  .input-field textarea.valid:focus {
    border-bottom: 1px solid #26a69a;
    box-shadow: 0 1px 0 0 #26a69a;
  }

  .input-field input[type].valid:focus+label,
  .input-field input[type].valid~.helper-text::after,
  .input-field input[type].valid:focus~.helper-text::after,
  .input-field textarea.valid:focus+label,
  .input-field textarea.valid~.helper-text::after,
  .input-field textarea.valid:focus~.helper-text::after {
    color: #26a69a;
  }
}

/* width */
::-webkit-scrollbar {
  width: 3px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgb(144, 144, 144);
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #3a3a3a;
}